Subject: Re: No fchmod() under msygit - Was: Re: [PATCH 00/14] Add submodule test harness

From: Junio C Hamano <[email-masked]>
Date: Mon, 14 Jul 2014 14:18:03 -0700

Karsten Blees <[email-masked]> writes:

> 1.) Permissions of files in .git are controlled by the core.sharedRepository
> setting, and your patch seems to break that (i.e. if someone accidentally
> has made .git/config world readable, git-config no longer fixes that, even
> if core.sharedRepository=0600).

For any repository, when you further run "git config" to update it,
.git/config always exists with the permission bits initialized when
"git init" was run there.  And Eric's change is to propagate that
same bits to a new file, so there wouldn't be any difference, no?

And $HOME/.gitconfig should not be governed by "sharedRepository",
and that was the primary focus of Eric's change, I would think.